## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global cmapdir %(echo `rpm -qls ghostscript | grep CMap | awk '{print $2}'`)
%global pypi_name reportlab

%global debug_package %{nil}

%bcond_without tests

Name:           python-%{pypi_name}
Version:        4.3.1
Release:        %autorelease
Summary:        Library for generating PDFs and graphics
License:        BSD-3-Clause AND BSD-4-Clause AND MIT
URL:            https://www.reportlab.com/opensource/
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  gcc
BuildRequires:  freetype-devel
BuildRequires:  ghostscript
Buildrequires:  fontpackages-devel
Buildrequires:  python3-html5lib+chardet
%global fonts font(dejavusans)
BuildRequires:  %{fonts}

Obsoletes:      %{name}-doc < 0:3.5.21-1

%description
This is the ReportLab PDF Toolkit. It allows rapid creation of rich PDF
documents, and also creation of charts in a variety of bitmap and vector
formats.

%package -n     python3-%{pypi_name}
Summary:        Library for generating PDFs and graphics
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
BuildRequires:  python3-pillow
Requires:       %{fonts}
%py_provides python3-%{pypi_name}
Obsoletes: python2-reportlab < 0:%{version}-%{release}

%description -n python3-%{pypi_name}
This is the ReportLab PDF Toolkit. It allows rapid creation of rich PDF 
documents, and also creation of charts in a variety of bitmap and vector 
formats.


%prep
%autosetup -n %{pypi_name}-%{version}

# clean up hashbangs from libraries
find src -name '*.py' | xargs sed -i -e '/^#!\//d'
# patch the CMap path by adding Fedora ghostscript path before the match
sed -i '/\~\/\.local\/share\/fonts\/CMap/i''\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ '\'%{cmapdir}\''\,' src/reportlab/rl_settings.py

# Remove Upstream Egg
rm -rf src/reportlab.egg-info

# Remove bundled libart
rm -rf src/rl_addons/renderPM/libart_lgpl

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
# "--no-download-t1-files" flag exists to avoid T1 font curves files downloading, anyway it cannot be passed with pyproject macros.
# This issue does not prevent package building
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# Unbundled fonts
ln -srf $(fc-match -f "%{file}" "DejaVu Sans:style=Regular") %{buildroot}%{python3_sitelib}/reportlab/fonts/Vera.ttf
ln -srf $(fc-match -f "%{file}" "DejaVu Sans:style=Bold Oblique") %{buildroot}%{python3_sitelib}/reportlab/fonts/VeraBI.ttf
ln -srf $(fc-match -f "%{file}" "DejaVu Sans:style=Bold") %{buildroot}%{python3_sitelib}/reportlab/fonts/VeraBd.ttf
ln -srf $(fc-match -f "%{file}" "DejaVu Sans:style=Condensed Oblique") %{buildroot}%{python3_sitelib}/reportlab/fonts/VeraIt.ttf

cp -a demos %{buildroot}%{python3_sitelib}/reportlab/
cp -a tools %{buildroot}%{python3_sitelib}/reportlab/

# Fix shebang in individual files
%py3_shebang_fix %{buildroot}%{python3_sitelib}/reportlab/demos/tests/testdemos.py
%py3_shebang_fix %{buildroot}%{python3_sitelib}/reportlab/tools/docco/docpy.py
%py3_shebang_fix %{buildroot}%{python3_sitelib}/reportlab/tools/docco/graphdocpy.py
%py3_shebang_fix %{buildroot}%{python3_sitelib}/reportlab/tools/docco/rl_doc_utils.py
%py3_shebang_fix %{buildroot}%{python3_sitelib}/reportlab/tools/pythonpoint/pythonpoint.py

chmod 0755 %{buildroot}%{python3_sitelib}/reportlab/demos/tests/testdemos.py
chmod 0755 %{buildroot}%{python3_sitelib}/reportlab/tools/docco/docpy.py
chmod 0755 %{buildroot}%{python3_sitelib}/reportlab/tools/docco/graphdocpy.py
chmod 0755 %{buildroot}%{python3_sitelib}/reportlab/tools/docco/rl_doc_utils.py
chmod 0755 %{buildroot}%{python3_sitelib}/reportlab/tools/pythonpoint/pythonpoint.py

%if %{with tests}
%check
# Tests need in-build compiled Python modules to be executed
# Tests pre-generate userguide PDF
cp -a build/lib/reportlab tests/
cp -a build/lib/reportlab docs/
cp -a build/lib/reportlab docs/userguide/
%{py3_test_envvars} %{__python3} setup.py tests --verbose-tests
%pyproject_check_import
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt CHANGES.md docs/reportlab-userguide.pdf
%{python3_sitelib}/reportlab/demos/
%{python3_sitelib}/reportlab/tools/


%changelog
## START: Generated by rpmautospec
* Fri Feb 14 2025 Antonio Trande <sagitter@fedoraproject.org> - 4.3.1-1
- Release 4.3.1

* Tue Feb 04 2025 Antonio Trande <sagitter@fedoraproject.org> - 4.3.0-1
- Release 4.3.0 (rhbz#2343518)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 03 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.2.5-1
- Release 4.2.5

* Sun Sep 29 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.2.4-1
- Release 4.2.4

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 30 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.2.2-1
- Release 4.2.2 (rhbz#2294198)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 4.2.0-2
- Rebuilt for Python 3.13

* Fri Apr 19 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.2.0-1
- Release 4.2.0

* Sat Feb 24 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.1.0-2
- Rebuild for f41 mass rebuild

* Tue Feb 13 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.1.0-1
- Release 4.1.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Antonio Trande <sagitter@fedoraproject.org> - 4.0.9-1
- Release 4.0.9

* Thu Dec 14 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.0.8-2
- Add missing BR package

* Thu Dec 14 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.0.8-1
- Release 4.0.8

* Sat Nov 11 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.0.7-1
- Release 4.0.7

* Fri Oct 13 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.0.6-1
- Release 4.0.6

* Tue Sep 26 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.0.5-1
- Release 4.0.5

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Python Maint <python-maint@redhat.com> - 4.0.4-2
- Rebuilt for Python 3.12

* Thu Jun 15 2023 Antonio Trande <sagitter@fedoraproject.org> - 4.0.4-1
- Release 4.0.4

* Sun Apr 30 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.6.13-1
- Release 3.16.13

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 01 2022 Lumir Balhar <lbalhar@redhat.com> - 3.6.12-2
- Change location of pathfix.py

* Fri Oct 28 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.6.12-1
- Release 3.6.12

* Sat Aug 06 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.6.11-1
- Release 3.6.11

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3.6.10-2
- Rebuilt for Python 3.11

* Tue Jun 07 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.6.10-1
- Release 3.6.10

* Fri Mar 11 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.6.8-1
- Release 3.6.8

* Sun Feb 20 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.6.7-1
- Release 3.6.7

* Sat Feb 05 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.6.6-1
- Release 3.6.6

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.6.5-1
- Release 3.6.5

* Sat Dec 04 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.6.3-1
- Release 3.6.3

* Wed Nov 10 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.6.2-2
- Use DejaVuSans fonts (rhbz#1852520)

* Sat Oct 16 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.6.2-1
- Release 3.6.2

* Fri Aug 06 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.6.1-1
- Release 3.6.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.68-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 27 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.5.68-1
- Release 3.5.68

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.5.66-2
- Rebuilt for Python 3.10

* Fri Mar 19 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.5.66-1
- Release 3.5.66

* Tue Mar 09 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.5.64-1
- Release 3.5.64

* Fri Mar 05 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.5.63-1
- Release 3.5.63

* Thu Mar 04 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.5.62-1
- Release 3.5.62

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.60-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 23 2021 Antonio T <sagitter@fedoraproject.org> - 3.5.60-1
- Release 3.5.60

* Wed Jan 06 2021 Antonio T <sagitter@fedoraproject.org> - 3.5.59-1
- Release 3.5.59

* Fri Jan 01 2021 Antonio T <sagitter@fedoraproject.org> - 3.5.57-1
- Release 3.5.57

* Sat Dec 12 2020 Antonio T <sagitter@fedoraproject.org> - 3.5.56-1
- Release 3.5.56

* Fri Nov 06 2020 Antonio T <sagitter@fedoraproject.org> - 3.5.55-1
- Release 3.5.55

* Mon Oct 26 2020 sagitter <sagitter@fedoraproject.org> - 3.5.54-1
- Release 3.5.54

* Mon Oct 05 2020 sagitter <sagitter@fedoraproject.org> - 3.5.53-1
- Release 3.5.53

* Fri Sep 25 2020 sagitter <sagitter@fedoraproject.org> - 3.5.51-1
- Release 3.5.51

* Fri Sep 18 2020 sagitter <sagitter@fedoraproject.org> - 3.5.50-1
- Release 3.5.50

* Fri Sep 04 2020 sagitter <sagitter@fedoraproject.org> - 3.5.49-1
- Release 3.5.49

* Wed Aug 19 2020 sagitter <sagitter@fedoraproject.org> - 3.5.48-1
- Release 3.5.48

* Fri Aug 07 2020 sagitter <sagitter@fedoraproject.org> - 3.5.47-1
- Release 3.5.47

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 sagitter <sagitter@fedoraproject.org> - 3.5.46-1
- Release 3.5.46

* Mon Jul 20 2020 sagitter <sagitter@fedoraproject.org> - 3.5.45-1
- Release 3.5.45

* Tue Jun 30 2020 sagitter <sagitter@fedoraproject.org> - 3.5.44-2
- Fix symlinks to the font files

* Sat Jun 27 2020 sagitter <sagitter@fedoraproject.org> - 3.5.44-1
- Release 3.5.44

* Wed Jun 24 2020 sagitter <sagitter@fedoraproject.org> - 3.5.42-5
- Remove automagic Python bytecompilation_extra

* Wed Jun 24 2020 sagitter <sagitter@fedoraproject.org> - 3.5.42-4
- BuildRequires python3-setuptools explicitly

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 3.5.42-3
- Rebuilt for Python 3.9

* Thu Mar 19 2020 sagitter <sagitter@fedoraproject.org> - 3.5.42-2
- Drop patch for Python 3.9

* Wed Mar 18 2020 sagitter <sagitter@fedoraproject.org> - 3.5.42-1
- Release 3.5.42

* Sat Feb 29 2020 sagitter <sagitter@fedoraproject.org> - 3.5.34-5
- Patched for Python-3.9 (rhbz#1808508)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 2020 sagitter <sagitter@fedoraproject.org> - 3.5.34-3
- Fix permissions of specific files

* Fri Jan 17 2020 sagitter <sagitter@fedoraproject.org> - 3.5.34-2
- Fix permissions

* Tue Jan 14 2020 sagitter <sagitter@fedoraproject.org> - 3.5.34-1
- Release 3.5.34

* Thu Oct 31 2019 sagitter <sagitter@fedoraproject.org> - 3.5.32-1
- Release 3.5.32

* Thu Oct 03 2019 sagitter <sagitter@fedoraproject.org> - 3.5.28-2
- Fix Obsoletes tag

* Thu Oct 03 2019 sagitter <sagitter@fedoraproject.org> - 3.5.28-1
- Release 3.5.28 (rhbz#1757766)

* Thu Sep 19 2019 sagitter <sagitter@fedoraproject.org> - 3.5.26-1
- Release 3.5.26 (rhbz#1752842)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 3.5.23-6
- Rebuilt for Python 3.8

* Fri Aug 16 2019 sagitter <sagitter@fedoraproject.org> - 3.5.23-5
- Use Obsoletes with version nunmber

* Fri Aug 16 2019 sagitter <sagitter@fedoraproject.org> - 3.5.23-4
- Rebuild for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 2019 sagitter <sagitter@fedoraproject.org> - 3.5.23-2
- Reintroduce python2-reportlab on Fedora 31 (rhbz#1723034)

* Wed Jun 12 2019 sagitter <sagitter@fedoraproject.org> - 3.5.23-1
- Release 3.5.23 (rhbz#1713011)|Unbundle libart (rhbz#1435836)|Obsolete
  Python2 on Fedora 31+

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 15 2018 Miro Hrončok <miro@hroncok.cz> - 3.4.0-13
- https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompi
  lation_phase_2

* Sun Oct 28 2018 William Moreno Reyes <williamjmorenor@gmail.com> - 3.4.0-12
- Update url

* Thu Aug 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.4.0-11
- Correct egg-info dependency info.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.4.0-9
- add BuildRequires: gcc

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 3.4.0-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Oct 24 2017 William Moreno Reyes <williamjmorenor@fedoraproject.org> - 3.4.0-6
- Bump release

* Tue Oct 24 2017 William Moreno Reyes <williamjmorenor@fedoraproject.org> - 3.4.0-5
- Requires python2-pillow

* Tue Oct 24 2017 William Moreno Reyes <williamjmorenor@fedoraproject.org> - 3.4.0-4
- BuildRequires: libart_lgpl-devel

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 William Moreno Reyes <williamjmorenor@fedoraproject.org> - 3.4.0-1
- Update to 3.4.0 release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 3.3.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Sat Apr 09 2016 William Moreno Reyes <williamjmorenor@fedoraproject.org> - 3.3.0-2
- Update to v3.3.0 Changelog

* Sat Apr 09 2016 William Moreno Reyes <williamjmorenor@fedoraproject.org> - 3.3.0-1
- Update to v3.3.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Nov 09 2015 Peter Gordon <peter@thecodergeek.com> - 3.2.0-2
- Add RHBZ references to %%%%changelog entry for 3.2.0-1.

* Tue Oct 27 2015 Peter Gordon <peter@thecodergeek.com> - 3.2.0-1
- Update to new upstream release (3.2.0).

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 3.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 3.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 3.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 3.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Apr 24 2014 Christopher Meng <i@cicku.me> - 3.1.8-1
- Update to 3.1.8 Pretty awesome hack for the ghostscript path ;)

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 2.5-7
- Add a dep on python-imaging to process images

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 06 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.5-3
- *sigh* up the release

* Thu Jan 06 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.5-2
- Forgot the changelog entry, plus kill all tabs.

* Thu Jan 06 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.5-1
- Update to version 2.5 of reportlab.

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5
- dist-git conversion

* Thu Jul 22 2010 dmalcolm <dmalcolm@fedoraproject.org> - 2.3-4
- Rebuilt for
  https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 2.3-3
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Tue Nov 24 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.3-2
- Do not bundle files, and adjust the config to point to Fedora's font
  location. Also, build with freetype-devel for kerning support.

* Sun Nov 15 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.3-1
- Update F-11, F-12, and devel to reportlab-2.3. Tweak the specfile
  accordingly, partly in order to build the PDF docs.

* Tue Sep 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 2.1-7
- Add patch to fix build on x86_64 builder. (#525535)

* Sun Jul 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazquez@fedoraproject.org> - 2.1-4
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazquez@fedoraproject.org> - 2.1-3
- Rebuild for Python 2.6

* Tue Jan 08 2008 Brian Pepple <bpepple@fedoraproject.org> - 2.1-2
- Remove luxi font. (#427845) - Add patch to not search for the luxi font.

* Sun May 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 2.1-1
- Update to 2.1.

* Wed Dec 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.0-2
- Make docs subpackage.

* Wed Dec 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 2.0-1
- Update to 2.0.

* Fri Dec 08 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.21.1-14
- Rebuild against new python.

* Fri Sep 08 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.21.1-13
- Rebuilt for FC6 and remove needs.rebuild file

* Fri Sep 08 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.21.1-12
- Update to 1.20.1.

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org>
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Tue Feb 14 2006 Brian Pepple <bpepple@fedoraproject.org>
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Dec 26 2005 Brian Pepple <bpepple@fedoraproject.org>
- Add dist tag. (#176479)

* Mon May 09 2005 Brian Pepple <bpepple@fedoraproject.org>
- Make package noarch & use sitelib path

* Thu Apr 07 2005 Brian Pepple <bpepple@fedoraproject.org>
- Use python_sitearch in spec.

* Wed Mar 30 2005 Brian Pepple <bpepple@fedoraproject.org>
- auto-import python-reportlab-1.20-1.fc4 on branch devel from python-
  reportlab-1.20-1.fc4.src.rpm

* Thu Mar 03 2005 Matthias Saou <thias@fedoraproject.org>
- Mass letter "o" and "p" update, one or more apply : - Drop epoch: 0 -
  Remove %%{epoch} requirements in sub-packages - Remove trailing white
  spaces - Keep consistent between spaces and tabs

* Fri Dec 10 2004 Michael Schwendt <mschwendt@fedoraproject.org> - 0:1.19-4
- Bump release, strip off fedora.us prefix and dist tag.

* Wed Nov 24 2004 gafton <gafton@fedoraproject.org> - 0:1.19-3
- Fix braindead typo from the original import

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 0:1.19-2
- auto-import python-reportlab-1.19-0.fdr.2.2 from python-
  reportlab-1.19-0.fdr.2.2.src.rpm

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 0:1.19-1
- auto-import changelog data from python-reportlab-1.19-0.fdr.2.1.src.rpm
  1.19-0.fdr.2 - Removed %%ghosts. 1.19-0.fdr.1 - Initial Fedora RPM build.
## END: Generated by rpmautospec
